import type { AxiosResponse } from 'axios'
import type { BaseApi } from '../typing'
export const defaultTransform = <R=any>(response: AxiosResponse<R>): R => {
  if (response.config && response.data && response.status && response.headers && response.statusText)
    return response.data

  return response as any
}

export const defaultTransformConfig = (config: BaseApi): BaseApi => {
  return config
}
